Skip to main content
POST
/
api
/
v1
/
predictions
/
proposals
/
{id}
/
claim
Claim winnings
curl --request POST \
  --url https://api.alpha-labs.trade/api/v1/predictions/proposals/{id}/claim \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "trade": {
      "id": "<string>",
      "proposalId": "<string>",
      "groupId": "<string>",
      "walletAddress": "<string>",
      "tradeType": "<string>",
      "tokenAmount": "4.27",
      "tokenDecimals": 123,
      "pricePerTokenUsd": "12.50",
      "totalCostUsd": "12.50",
      "pnlPct": "4.27",
      "pnlUsd": "12.50",
      "txSignature": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    },
    "amountClaimedUsd": "12.50"
  }
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).

Path Parameters

id
string
required

Response

The claim trade and amount claimed (human USD string).

data
object